# Settings

System settings and configuration

## GET /api/v1/settings

> Returns the backend's settings information.

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"hq_settings","description":"System settings and configuration"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"hq_Settings":{"type":"object","description":"Contains application settings.","properties":{"api":{"$ref":"#/components/schemas/hq_APIConfig"}},"required":["api"]},"hq_APIConfig":{"type":"object","properties":{"saml":{"$ref":"#/components/schemas/hq_SAMLConfig"}},"required":["saml"]},"hq_SAMLConfig":{"type":"object","description":"Contains SAML configuration settings.","properties":{"user_creation_mode":{"$ref":"#/components/schemas/hq_SSOUserCreationMode"},"users_group_membership_management_mode":{"$ref":"#/components/schemas/hq_SSOUsersGroupMembershipManagementMode"}},"required":["user_creation_mode","users_group_membership_management_mode"]},"hq_SSOUserCreationMode":{"type":"string","title":"Corresponds to user_creation_mode application config setting.","description":"user_creation_mode setting controls how the creation of users should be handled in relation to SSO information.\nWith the 'manual' mode, a user that exists externally in an Identity Provider will have to be manually created locally.\nWith the 'sso' mode, that process will be automatic and a matching user will be created if it doesn't exist locally.\n","enum":["manual","sso"]},"hq_SSOUsersGroupMembershipManagementMode":{"type":"string","title":"Corresponds to users_group_membership_management_mode application config setting.","description":"users_group_membership_management_mode setting controls how the management of a user's group membership should be handled in relation to SSO information.\nWith the 'manual' mode, the information about the group membership returned from an Identity Provider will not be used\nand a user will only be a member of groups that were explicitly assigned to him locally.\nWith the 'sso' mode, groups returned from Identity Provider will be used instead.\n","enum":["manual","sso"]},"hq_Error":{"type":"object","description":"Implements the RFC7807 \"Problem Details\", see https://www.rfc-editor.org/rfc/rfc7807.","properties":{"type":{"$ref":"#/components/schemas/hq_ErrorType"},"title":{"description":"Describes the problem in a human readable fashion.","type":"string"},"status":{"description":"Is a copy of the http status code.","type":"integer"},"invalid_fields":{"description":"Lists for validation errors the fields that failed validation.","type":"array","items":{"$ref":"#/components/schemas/hq_InvalidField"}},"sso_url":{"description":"Contains in case of an \"unauthorised\" type of error, the url of the SSO provider, if any.","type":"string"},"request_id":{"description":"Is set to the id of this request. Can be used to correlate backend logs.","type":"string"}},"required":["status","title"]},"hq_ErrorType":{"type":"string","description":"Enumerates possible error types.","enum":["not_found","unauthorised","forbidden","internal_server_error","agent_rpc_error","missing_agent_capabilities","agent_not_connected","validation_error","invalid_metadata","missing_parameter","invalid_parameter","licence_limitation","ai_server_unavailable","conflict","unspecified"]},"hq_InvalidField":{"type":"object","properties":{"name":{"type":"string"},"error":{"$ref":"#/components/schemas/hq_FieldErrorType"},"title":{"type":"string"},"pointer":{"description":"Holds a RFC-6901 JSON Pointer.","type":"string"}},"required":["name","error","title"]},"hq_FieldErrorType":{"type":"string","description":"Enumerates field validation error types.","enum":["reference_not_found","not_unique","invalid_value","other_error"]}}},"paths":{"/api/v1/settings":{"get":{"description":"Returns the backend's settings information.","operationId":"getSettings","responses":{"200":{"description":"Successfully returns application settings response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/hq_Settings"}}}},"default":{"description":"Error object.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/hq_Error"}}}}},"tags":["hq_settings"]}}}}
```
